import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'taskInfoCountPipe',
})
export class TaskInfoCountPipe implements PipeTransform {
  transform(numberOfInfos: number, numberOfTasks: number): string {
    if (!numberOfInfos && !numberOfTasks) {
      return '';
    }

    if (!numberOfInfos) {
      if (numberOfTasks === 1) {
        return '1 Aufgabe';
      }
      if (numberOfTasks > 1) {
        return `${numberOfTasks} Aufgaben`;
      }
    }

    if (!numberOfTasks) {
      if (numberOfInfos === 1) {
        return '1 Info';
      }
      if (numberOfInfos > 1) {
        return `${numberOfInfos} Infos`;
      }
    }

    if (!!numberOfTasks && numberOfInfos) {
      return `${numberOfTasks + numberOfInfos} Aufgaben und Infos`;
    }

    return '';
  }
}
